Package org.springframework.security.core.authority.mapping

# Class NullAuthoritiesMapper

java.lang.Object
org.springframework.security.core.authority.mapping.NullAuthoritiesMapper

All Implemented Interfaces:
  `GrantedAuthoritiesMapper`

public class NullAuthoritiesMapper extends Object implements GrantedAuthoritiesMapper

## Constructor Summary

Constructors
Constructor
Description
`NullAuthoritiesMapper()`

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends GrantedAuthority>`
`mapAuthorities(Collection<? extends GrantedAuthority> authorities)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullAuthoritiesMapper

public NullAuthoritiesMapper()

## Method Details

### mapAuthorities

public Collection<? extends GrantedAuthority> mapAuthorities(Collection<? extends GrantedAuthority> authorities)

Specified by:
  `mapAuthorities` in interface `GrantedAuthoritiesMapper`